<?PHP
include_once(dirname(__FILE__) . "/header.php"); #Подключаем верх сайта.
   
   $sql = "SELECT SUM(`amount`) FROM `tb_history` WHERE `date` = '". date("d-m-Y") ."'"; #Запрос.
   $query = mysql_query($sql) or die("<b>Ошибка в запросе: </b>" . $sql . "<br><b>Код ошибки:</b> " . mysql_errno() . "<br><b>Текст ошибки:</b> " . mysql_error()); #Выполняем запрос. Или выводим ошибку.
   
   $result = mysql_result($query, 0, 0); #Получаем результат.
   
   $sql2 = "SELECT COUNT(*) FROM `tb_history` WHERE `status` != 'Error' AND `date` = '". date("d-m-Y") ."'"; #Запрос, подсчитывающий общее кол-во выплат.
   $query2 = mysql_query($sql2) or die("<b>Ошибка в запросе: </b>" . $sql2 . "<br><b>Код ошибки:</b> " . mysql_errno() . "<br><b>Текст ошибки:</b> " . mysql_error()); #Выполняем запрос. Или выводим ошибку.
   
   $result2 = mysql_result($query2, 0, 0); #Получаем результат.
   
   $limit = 50; #Кол-во выводимых записей на странице.
   
?>

<span class='top-bl-s-verh'>Последние 50 выплат</span>
<div class='menucenter-top1'>
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr><td class='value1'>
На странице выплат вы видите последние 50 выплат. Видно кто сделал вывод, когда совершена выплата и на какую сумму.
Так же доступна информация о платёжной системе!
</td></tr>
</table>
<?
$date_old = (time()-7*24*3600);
$amount1 = $amount2 = $amount3 = $amount4 = $amount5 = $amount6 = $amount7 = 0;
$sql = mysql_query("SELECT `str_time`,`amount` FROM `tb_history` WHERE `str_time`>='$date_old' AND `status`='Выплата сделана'") or die(mysql_error());
if(mysql_num_rows($sql) > 0){

echo '<h2>Статистика за неделю</h2><div id="container" style="width: 528px; height: 200px; margin: 0 0 10px 0; background: #f6f7f9; padding: 10px 0 0 0; border-bottom: 1px solid #e3e6e9;"></div>';

while($row = mysql_fetch_assoc($sql)){
if(date("d",$row["str_time"]) == date("d",time())){
$amount1 += $row["amount"];
}
if(date("d",$row["str_time"]) == date("d",(time()-24*3600))){
$amount2 += $row["amount"];
}
if(date("d",$row["str_time"]) == date("d",(time()-2*24*3600))){
$amount3 += $row["amount"];
}
if(date("d",$row["str_time"]) == date("d",(time()-3*24*3600))){
$amount4 += $row["amount"];
}
if(date("d",$row["str_time"]) == date("d",(time()-4*24*3600))){
$amount5 += $row["amount"];
}
if(date("d",$row["str_time"]) == date("d",(time()-5*24*3600))){
$amount6 += $row["amount"];
}
if(date("Y-m-d",$row["str_time"]) == date("Y-m-d",(time()-6*24*3600))){
$amount7 += $row["amount"];
}
}

$amount1 = floatval(round($amount1,2));
$amount2 = floatval(round($amount2,2));
$amount3 = floatval(round($amount3,2));
$amount4 = floatval(round($amount4,2));
$amount5 = floatval(round($amount5,2));
$amount6 = floatval(round($amount6,2));
$amount7 = floatval(round($amount7,2));

function day($varstr){
 if($varstr<0)$varstr=$varstr+7;
 $day="";
 if($varstr==1) $day='Пн';
 if($varstr==2) $day='Вт';
 if($varstr==3) $day='Ср';
 if($varstr==4) $day='Чт';
 if($varstr==5) $day='Пт';
 if($varstr==6) $day='Сб';
 if($varstr==0) $day='Вс';
 return $day;
}

$to_day1 = day(date("w"));
$to_day2 = day(date("w")-1);
$to_day3 = day(date("w")-2);
$to_day4 = day(date("w")-3);
$to_day5 = day(date("w")-4);
$to_day6 = day(date("w")-5);
$to_day7 = day(date("w")-6);

echo '<script src="/js/highcharts.js"></script>';
echo '<script src="http://code.highcharts.com/modules/exporting.js"></script>';
echo <<<script
<script>
$(function () {
    $('#container').highcharts({
        chart: { backgroundColor: false, type: 'line', height: 200 },
        exporting: { enabled: false },
        title: {text: ''},
        xAxis: { categories: ['{$to_day7}', '{$to_day6}', '{$to_day5}', '{$to_day4}', '{$to_day3}', '{$to_day2}', '{$to_day1}']},
        yAxis: [{ // Primary yAxis
            labels: {
                format: '{value}руб.',
            },
             min: 0, 
             title: { text: '' }
        }],
        tooltip: { 
headerFormat: '<table>', 
pointFormat: '<tr style="font-size:10px"><td style="color:{series.color};padding:0">{series.name}: </td>' + '<td style="padding:0"><b>{point.y}</b> руб.</td></tr>', 
footerFormat: '</table>', 
},
        plotOptions: { 
        column: { stacking: 'normal', } }, 
        legend: { enabled: false },
        series: [{ name: 'Выплачено', 
 data: [{$amount7}, {$amount6}, {$amount5}, {$amount4}, {$amount3}, {$amount2}, {$amount1}] }]
    });
});

</script>
script;
}
#график вывода
?>

<table class="profitreestr" width="100%">
<thead>
   <tr>
      <th>ID пользователя</th>
      <th nowrap="nowrap">Дата</th>
      <th nowrap="nowrap">Сумма, руб</th>
	  <th>Метод</th>
   </tr>
</thead>
 
<tbody>  
   
   <?PHP  
      $sql3 = "SELECT * FROM `tb_history` WHERE `date` = '". date("d-m-Y") ."' and `status`='Выплата сделана' ORDER BY `id` DESC LIMIT ".$limit.""; #Запрос.
	  $query3 = mysql_query($sql3) or die("<b>Ошибка в запросе: </b>" . $sql3 . "<br><b>Код ошибки:</b> " . mysql_errno() . "<br><b>Текст ошибки:</b> " . mysql_error()); #Выполняем запрос. Или выводим ошибку.
	  $num_rows = mysql_num_rows($query3); #Есть ли результат.
	  
	  if($num_rows > 0) { #Если результат больше 0, то выполняем цикл.
	  
      while($row = mysql_fetch_row($query3)) { #А вот и сам цикл.	  
   ?>
      <tr>
	     <td class="user"><?PHP echo($row[1]); ?></td>
		 <td nowrap="nowrap"><?PHP echo($row[2]); ?></td>
		 <td class="summa"><?PHP echo($row[3]); ?></td>
		 <td class='value'><?PHP echo(payment_title($row[4])); ?></span></td>
	  </tr>
   <?PHP
      }
	  }
   ?>
</tbody>   
</table>
</div>
<?PHP
   include_once(dirname(__FILE__) . "/footer.php");
?>